utl::meta::replace_if_impl::replace_if_< typelist<>, Fn, T, Ret > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = Ret

## Detailed Description

### template<typename Fn, typename T, typename Ret>
struct utl::meta::replace_if_impl::replace_if_< typelist<>, Fn, T, Ret >

Definition at line 822 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Fn , typename T , typename Ret >

using utl::meta::replace_if_impl::replace_if_< typelist<>, Fn, T, Ret >::type = Ret

Definition at line 823 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h